import RunBase from '../base/run';
export default class Run extends RunBase {
    static description: string;
    static examples: string[];
    static flags: {
        rebuild: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        watch: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    rebuild: boolean;
    readonly from: any;
    readonly workDir: string;
    readonly tag: any;
    readonly ports: any;
    preInit(): Promise<void>;
    preRun(): Promise<void>;
    run(): Promise<void>;
}
