declare const _default: {
    checkEnv(): Promise<void>;
    pull(image: string): Promise<void>;
    copy(image: string, mappings: any[]): Promise<void>;
    imageExist(name: any): Promise<boolean>;
    containerExist(name: any): Promise<boolean>;
    tag(name: any): Promise<void>;
    push(name: any): Promise<void>;
    genDockerFile(workDir: any, from: any, dir: any): Promise<void>;
    genDockerCompose(workDir: any, cmd: any, ports: any, watch: any, tag: any, dir: any): Promise<void>;
    /**
     * rde will regenerate package.json under such condition:
     * 1. no cache info found
     * 2. rdc version changed if rdType is application
     * 3. any package.json under template dir has changed if rdType is container
     * 4. extends attr in rdc.config.js has changed if rdType is container
     */
    genPkgJson(): Promise<void>;
    getPkgJson(image: any, result?: {}): Promise<{}>;
};
export default _default;
